<?php
/**
 * Class to create a form field with a date selector
 *
 * @copyright	http://www.impresscms.org/ The ImpressCMS Project
 * @license		http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License (GPL)
 * @category	ICMS
 * @package		Form
 * @subpackage	Elements
 * @version		SVN: $Id: Date.php 12495 2015-06-15 19:43:10Z fiammy $
 **/

defined('ICMS_ROOT_PATH') or die("ImpressCMS root path not defined");

/**
 * A text field with calendar popup
 *
 * @category	ICMS
 * @package     Form
 * @subpackage  Elements
 *
 * @author	    Kazumi Ono	<onokazu@xoops.org>
 */
class icms_form_elements_Date extends icms_form_elements_Text {


    /**
     * Constructor
     *
     * @param string	$caption
     * @param string	$name
     * @param int		$size
     * @param mixed		$value
     */
    public function __construct($caption, $name, $size = 15, $value= 0) {
        $value = !is_numeric($value) ? time() : (int) ($value);
        parent::__construct($caption, $name, $size, 25, $value);
    }

    /**
     * Render the Date field
     */
    public function render() {
        global $icmsConfigPersona;
        $ele_name = $this->getName();
        $ele_value = $this->getValue(false);
        $jstime = formatTimestamp($ele_value, _SHORTDATESTRING);

        include_once ICMS_ROOT_PATH . '/include/calendar' . ($icmsConfigPersona['use_jsjalali'] == true ? 'jalali' : '') . 'js.php';

        if ($icmsConfigPersona['use_jsjalali']) {
            include_once ICMS_ROOT_PATH . '/include/jalali.php';
        }

        $result = "<input type='text' class='datepick'  name='".$ele_name."' id='".$ele_name."' size='".$this->getSize()."' maxlength='".$this->getMaxlength()."' value='".date(_SHORTDATESTRING, $ele_value)."'".$this->getExtra()." />";

        return $result;
    }
}